- Home
- Download

- GitHub

- News
- Documentation

- FAQ
- Tutorial
- API reference
- Examples

- XML Digital Signature
- XML Encryption
- XML Canonicalization
- Reporting Bugs
- Mailing list
- Related
- Authors

## app

app — Crypto-engine independent application support functions.

## Stability Level

Stable, unless otherwise indicated

## Functions

int | xmlSecCryptoInit ()
int | xmlSecCryptoShutdown ()
int | xmlSecCryptoKeysMngrInit ()
xmlSecKeyDataId | xmlSecKeyDataAesGetKlass ()
xmlSecKeyDataId | xmlSecKeyDataConcatKdfGetKlass ()
xmlSecKeyDataId | xmlSecKeyDataDesGetKlass ()
xmlSecKeyDataId | xmlSecKeyDataDhGetKlass ()
xmlSecKeyDataId | xmlSecKeyDataDsaGetKlass ()
xmlSecKeyDataId | xmlSecKeyDataEcGetKlass ()
xmlSecKeyDataId | xmlSecKeyDataGost2001GetKlass ()
xmlSecKeyDataId | xmlSecKeyDataGostR3410_2012_256GetKlass ()
xmlSecKeyDataId | xmlSecKeyDataGostR3410_2012_512GetKlass ()
xmlSecKeyDataId | xmlSecKeyDataHmacGetKlass ()
xmlSecKeyDataId | xmlSecKeyDataHkdfGetKlass ()
xmlSecKeyDataId | xmlSecKeyDataMLDSAGetKlass ()
xmlSecKeyDataId | xmlSecKeyDataPbkdf2GetKlass ()
xmlSecKeyDataId | xmlSecKeyDataRsaGetKlass ()
xmlSecKeyDataId | xmlSecKeyDataSLHDSAGetKlass ()
xmlSecKeyDataId | xmlSecKeyDataEdDSAGetKlass ()
xmlSecKeyDataId | xmlSecKeyDataXdhGetKlass ()
xmlSecKeyDataId | xmlSecKeyDataX509GetKlass ()
xmlSecKeyDataId | xmlSecKeyDataRawX509CertGetKlass ()
xmlSecKeyDataId | xmlSecKeyDataDEREncodedKeyValueGetKlass ()
xmlSecKeyDataStoreId | xmlSecX509StoreGetKlass ()
xmlSecTransformId | xmlSecTransformAes128CbcGetKlass ()
xmlSecTransformId | xmlSecTransformAes192CbcGetKlass ()
xmlSecTransformId | xmlSecTransformAes256CbcGetKlass ()
xmlSecTransformId | xmlSecTransformAes128GcmGetKlass ()
xmlSecTransformId | xmlSecTransformAes192GcmGetKlass ()
xmlSecTransformId | xmlSecTransformAes256GcmGetKlass ()
xmlSecTransformId | xmlSecTransformKWAes128GetKlass ()
xmlSecTransformId | xmlSecTransformKWAes192GetKlass ()
xmlSecTransformId | xmlSecTransformKWAes256GetKlass ()
xmlSecTransformId | xmlSecTransformConcatKdfGetKlass ()
xmlSecTransformId | xmlSecTransformDes3CbcGetKlass ()
xmlSecTransformId | xmlSecTransformKWDes3GetKlass ()
xmlSecTransformId | xmlSecTransformDhEsGetKlass ()
xmlSecTransformId | xmlSecTransformHkdfGetKlass ()
xmlSecTransformId | xmlSecTransformDsaSha1GetKlass ()
xmlSecTransformId | xmlSecTransformDsaSha256GetKlass ()
xmlSecTransformId | xmlSecTransformEcdhGetKlass ()
xmlSecTransformId | xmlSecTransformX25519GetKlass ()
xmlSecTransformId | xmlSecTransformX448GetKlass ()
xmlSecTransformId | xmlSecTransformEcdsaSha1GetKlass ()
xmlSecTransformId | xmlSecTransformEcdsaSha224GetKlass ()
xmlSecTransformId | xmlSecTransformEcdsaSha256GetKlass ()
xmlSecTransformId | xmlSecTransformEcdsaSha384GetKlass ()
xmlSecTransformId | xmlSecTransformEcdsaSha512GetKlass ()
xmlSecTransformId | xmlSecTransformEcdsaSha3_224GetKlass ()
xmlSecTransformId | xmlSecTransformEcdsaSha3_256GetKlass ()
xmlSecTransformId | xmlSecTransformEcdsaSha3_384GetKlass ()
xmlSecTransformId | xmlSecTransformEcdsaSha3_512GetKlass ()
xmlSecTransformId | xmlSecTransformEcdsaRipemd160GetKlass ()
xmlSecTransformId | xmlSecTransformGost2001GostR3411_94GetKlass ()
xmlSecTransformId | xmlSecTransformGostR3410_2012GostR3411_2012_256GetKlass ()
xmlSecTransformId | xmlSecTransformGostR3410_2012GostR3411_2012_512GetKlass ()
xmlSecTransformId | xmlSecTransformHmacMd5GetKlass ()
xmlSecTransformId | xmlSecTransformHmacRipemd160GetKlass ()
xmlSecTransformId | xmlSecTransformHmacSha1GetKlass ()
xmlSecTransformId | xmlSecTransformHmacSha224GetKlass ()
xmlSecTransformId | xmlSecTransformHmacSha256GetKlass ()
xmlSecTransformId | xmlSecTransformHmacSha384GetKlass ()
xmlSecTransformId | xmlSecTransformHmacSha512GetKlass ()
xmlSecTransformId | xmlSecTransformMd5GetKlass ()
xmlSecTransformId | xmlSecTransformMLDSA44GetKlass ()
xmlSecTransformId | xmlSecTransformMLDSA65GetKlass ()
xmlSecTransformId | xmlSecTransformMLDSA87GetKlass ()
xmlSecTransformId | xmlSecTransformPbkdf2GetKlass ()
xmlSecTransformId | xmlSecTransformRipemd160GetKlass ()
xmlSecTransformId | xmlSecTransformRsaMd5GetKlass ()
xmlSecTransformId | xmlSecTransformRsaRipemd160GetKlass ()
xmlSecTransformId | xmlSecTransformRsaSha1GetKlass ()
xmlSecTransformId | xmlSecTransformRsaSha224GetKlass ()
xmlSecTransformId | xmlSecTransformRsaSha256GetKlass ()
xmlSecTransformId | xmlSecTransformRsaSha384GetKlass ()
xmlSecTransformId | xmlSecTransformRsaSha512GetKlass ()
xmlSecTransformId | xmlSecTransformRsaPssSha1GetKlass ()
xmlSecTransformId | xmlSecTransformRsaPssSha224GetKlass ()
xmlSecTransformId | xmlSecTransformRsaPssSha256GetKlass ()
xmlSecTransformId | xmlSecTransformRsaPssSha384GetKlass ()
xmlSecTransformId | xmlSecTransformRsaPssSha512GetKlass ()
xmlSecTransformId | xmlSecTransformRsaPssSha3_224GetKlass ()
xmlSecTransformId | xmlSecTransformRsaPssSha3_256GetKlass ()
xmlSecTransformId | xmlSecTransformRsaPssSha3_384GetKlass ()
xmlSecTransformId | xmlSecTransformRsaPssSha3_512GetKlass ()
xmlSecTransformId | xmlSecTransformRsaPkcs1GetKlass ()
xmlSecTransformId | xmlSecTransformRsaOaepGetKlass ()
xmlSecTransformId | xmlSecTransformRsaOaepEnc11GetKlass ()
xmlSecTransformId | xmlSecTransformSLHDSA_SHA2_128fGetKlass ()
xmlSecTransformId | xmlSecTransformSLHDSA_SHA2_128sGetKlass ()
xmlSecTransformId | xmlSecTransformSLHDSA_SHA2_192fGetKlass ()
xmlSecTransformId | xmlSecTransformSLHDSA_SHA2_192sGetKlass ()
xmlSecTransformId | xmlSecTransformSLHDSA_SHA2_256fGetKlass ()
xmlSecTransformId | xmlSecTransformSLHDSA_SHA2_256sGetKlass ()
xmlSecTransformId | xmlSecTransformEdDSAEd25519GetKlass ()
xmlSecTransformId | xmlSecTransformEdDSAEd25519ctxGetKlass ()
xmlSecTransformId | xmlSecTransformEdDSAEd25519phGetKlass ()
xmlSecTransformId | xmlSecTransformEdDSAEd448GetKlass ()
xmlSecTransformId | xmlSecTransformEdDSAEd448phGetKlass ()
xmlSecTransformId | xmlSecTransformGostR3411_94GetKlass ()
xmlSecTransformId | xmlSecTransformGostR3411_2012_256GetKlass ()
xmlSecTransformId | xmlSecTransformGostR3411_2012_512GetKlass ()
xmlSecTransformId | xmlSecTransformSha1GetKlass ()
xmlSecTransformId | xmlSecTransformSha224GetKlass ()
xmlSecTransformId | xmlSecTransformSha256GetKlass ()
xmlSecTransformId | xmlSecTransformSha384GetKlass ()
xmlSecTransformId | xmlSecTransformSha512GetKlass ()
xmlSecTransformId | xmlSecTransformSha3_224GetKlass ()
xmlSecTransformId | xmlSecTransformSha3_256GetKlass ()
xmlSecTransformId | xmlSecTransformSha3_384GetKlass ()
xmlSecTransformId | xmlSecTransformSha3_512GetKlass ()
int | xmlSecCryptoAppInit ()
int | xmlSecCryptoAppShutdown ()
int | xmlSecCryptoAppDefaultKeysMngrInit ()
int | xmlSecCryptoAppDefaultKeysMngrAdoptKey ()
int | xmlSecCryptoAppDefaultKeysMngrVerifyKey ()
int | xmlSecCryptoAppDefaultKeysMngrLoad ()
int | xmlSecCryptoAppDefaultKeysMngrSave ()
int | xmlSecCryptoAppKeysMngrCertLoad ()
int | xmlSecCryptoAppKeysMngrCertLoadMemory ()
int | xmlSecCryptoAppKeysMngrCrlLoad ()
int | xmlSecCryptoAppKeysMngrCrlLoadMemory ()
int | xmlSecCryptoAppKeysMngrCrlLoadAndVerify ()
xmlSecKeyPtr | xmlSecCryptoAppKeyLoadEx ()
xmlSecKeyPtr | xmlSecCryptoAppKeyLoadMemory ()
xmlSecKeyPtr | xmlSecCryptoAppPkcs12Load ()
xmlSecKeyPtr | xmlSecCryptoAppPkcs12LoadMemory ()
int | xmlSecCryptoAppKeyCertLoad ()
int | xmlSecCryptoAppKeyCertLoadMemory ()
void * | xmlSecCryptoAppGetDefaultPwdCallback ()

## Types and Values

#define | xmlSecKeyDataAesId
#define | xmlSecKeyDataConcatKdfId
#define | xmlSecKeyDataDesId
#define | xmlSecKeyDataDhId
#define | xmlSecKeyDataDsaId
#define | xmlSecKeyDataEcId
#define | xmlSecKeyDataGost2001Id
#define | xmlSecKeyDataGostR3410_2012_256Id
#define | xmlSecKeyDataGostR3410_2012_512Id
#define | xmlSecKeyDataHmacId
#define | xmlSecKeyDataHkdfId
#define | xmlSecKeyDataMLDSAId
#define | xmlSecKeyDataPbkdf2Id
#define | xmlSecKeyDataRsaId
#define | xmlSecKeyDataSLHDSAId
#define | xmlSecKeyDataEdDSAId
#define | xmlSecKeyDataXdhId
#define | xmlSecKeyDataX509Id
#define | xmlSecKeyDataRawX509CertId
#define | xmlSecKeyDataDEREncodedKeyValueId
#define | xmlSecX509StoreId
#define | xmlSecTransformAes128CbcId
#define | xmlSecTransformAes192CbcId
#define | xmlSecTransformAes256CbcId
#define | xmlSecTransformAes128GcmId
#define | xmlSecTransformAes192GcmId
#define | xmlSecTransformAes256GcmId
#define | xmlSecTransformKWAes128Id
#define | xmlSecTransformKWAes192Id
#define | xmlSecTransformKWAes256Id
#define | xmlSecTransformConcatKdfId
#define | xmlSecTransformDes3CbcId
#define | xmlSecTransformKWDes3Id
#define | xmlSecTransformDhEsId
#define | xmlSecTransformHkdfId
#define | xmlSecTransformDsaSha1Id
#define | xmlSecTransformDsaSha256Id
#define | xmlSecTransformEcdhId
#define | xmlSecTransformX25519Id
#define | xmlSecTransformX448Id
#define | xmlSecTransformEcdsaSha1Id
#define | xmlSecTransformEcdsaSha224Id
#define | xmlSecTransformEcdsaSha256Id
#define | xmlSecTransformEcdsaSha384Id
#define | xmlSecTransformEcdsaSha512Id
#define | xmlSecTransformEcdsaSha3_224Id
#define | xmlSecTransformEcdsaSha3_256Id
#define | xmlSecTransformEcdsaSha3_384Id
#define | xmlSecTransformEcdsaSha3_512Id
#define | xmlSecTransformEcdsaRipemd160Id
#define | xmlSecTransformGost2001GostR3411_94Id
#define | xmlSecTransformGostR3410_2012GostR3411_2012_256Id
#define | xmlSecTransformGostR3410_2012GostR3411_2012_512Id
#define | xmlSecTransformHmacMd5Id
#define | xmlSecTransformHmacRipemd160Id
#define | xmlSecTransformHmacSha1Id
#define | xmlSecTransformHmacSha224Id
#define | xmlSecTransformHmacSha256Id
#define | xmlSecTransformHmacSha384Id
#define | xmlSecTransformHmacSha512Id
#define | xmlSecTransformMd5Id
#define | xmlSecTransformMLDSA44Id
#define | xmlSecTransformMLDSA65Id
#define | xmlSecTransformMLDSA87Id
#define | xmlSecTransformPbkdf2Id
#define | xmlSecTransformRipemd160Id
#define | xmlSecTransformRsaMd5Id
#define | xmlSecTransformRsaRipemd160Id
#define | xmlSecTransformRsaSha1Id
#define | xmlSecTransformRsaSha224Id
#define | xmlSecTransformRsaSha256Id
#define | xmlSecTransformRsaSha384Id
#define | xmlSecTransformRsaSha512Id
#define | xmlSecTransformRsaPssSha1Id
#define | xmlSecTransformRsaPssSha224Id
#define | xmlSecTransformRsaPssSha256Id
#define | xmlSecTransformRsaPssSha384Id
#define | xmlSecTransformRsaPssSha512Id
#define | xmlSecTransformRsaPssSha3_224Id
#define | xmlSecTransformRsaPssSha3_256Id
#define | xmlSecTransformRsaPssSha3_384Id
#define | xmlSecTransformRsaPssSha3_512Id
#define | xmlSecTransformRsaPkcs1Id
#define | xmlSecTransformRsaOaepId
#define | xmlSecTransformRsaOaepEnc11Id
#define | xmlSecTransformSLHDSA_SHA2_128f_Id
#define | xmlSecTransformSLHDSA_SHA2_128s_Id
#define | xmlSecTransformSLHDSA_SHA2_192f_Id
#define | xmlSecTransformSLHDSA_SHA2_192s_Id
#define | xmlSecTransformSLHDSA_SHA2_256f_Id
#define | xmlSecTransformSLHDSA_SHA2_256s_Id
#define | xmlSecTransformEdDSAEd25519Id
#define | xmlSecTransformEdDSAEd25519ctxId
#define | xmlSecTransformEdDSAEd25519phId
#define | xmlSecTransformEdDSAEd448Id
#define | xmlSecTransformEdDSAEd448phId
#define | xmlSecTransformGostR3411_94Id
#define | xmlSecTransformGostR3411_2012_256Id
#define | xmlSecTransformGostR3411_2012_512Id
#define | xmlSecTransformSha1Id
#define | xmlSecTransformSha224Id
#define | xmlSecTransformSha256Id
#define | xmlSecTransformSha384Id
#define | xmlSecTransformSha512Id
#define | xmlSecTransformSha3_224Id
#define | xmlSecTransformSha3_256Id
#define | xmlSecTransformSha3_384Id
#define | xmlSecTransformSha3_512Id

## Description

## Functions

### xmlSecCryptoInit ()

    int
    xmlSecCryptoInit (void);

XMLSec library specific crypto engine initialization.

#### Returns

0 on success or a negative value otherwise.

### xmlSecCryptoShutdown ()

    int
    xmlSecCryptoShutdown (void);

XMLSec library specific crypto engine shutdown.

#### Returns

0 on success or a negative value otherwise.

### xmlSecCryptoKeysMngrInit ()

    int
    xmlSecCryptoKeysMngrInit (xmlSecKeysMngrPtr mngr);

Adds crypto specific key data stores in keys manager.

#### Parameters

mngr | the pointer to keys manager. |

#### Returns

0 on success or a negative value otherwise.

### xmlSecKeyDataAesGetKlass ()

    xmlSecKeyDataId
    xmlSecKeyDataAesGetKlass (void);

The AES key data klass.

#### Returns

AES key data klass or NULL if an error occurs (xmlsec-crypto library is not loaded or the AES key data klass is not implemented).

### xmlSecKeyDataConcatKdfGetKlass ()

    xmlSecKeyDataId
    xmlSecKeyDataConcatKdfGetKlass (void);

The ConcatKDF key data klass.

#### Returns

ConcatKDF key data klass or NULL if an error occurs (xmlsec-crypto library is not loaded or the HMAC key data klass is not implemented).

### xmlSecKeyDataDesGetKlass ()

    xmlSecKeyDataId
    xmlSecKeyDataDesGetKlass (void);

The DES key data klass.

#### Returns

DES key data klass or NULL if an error occurs (xmlsec-crypto library is not loaded or the DES key data klass is not implemented).

### xmlSecKeyDataDhGetKlass ()

    xmlSecKeyDataId
    xmlSecKeyDataDhGetKlass (void);

The DH key data klass.

#### Returns

DH key data klass or NULL if an error occurs (xmlsec-crypto library is not loaded or the DH key data klass is not implemented).

### xmlSecKeyDataDsaGetKlass ()

    xmlSecKeyDataId
    xmlSecKeyDataDsaGetKlass (void);

The DSA key data klass.

#### Returns

DSA key data klass or NULL if an error occurs (xmlsec-crypto library is not loaded or the DSA key data klass is not implemented).

### xmlSecKeyDataEcGetKlass ()

    xmlSecKeyDataId
    xmlSecKeyDataEcGetKlass (void);

The EC key data klass.

#### Returns

EC key data klass or NULL if an error occurs (xmlsec-crypto library is not loaded or the EC key data klass is not implemented).

### xmlSecKeyDataGost2001GetKlass ()

    xmlSecKeyDataId
    xmlSecKeyDataGost2001GetKlass (void);

The GOST2001 key data klass.

#### Returns

GOST2001 key data klass or NULL if an error occurs (xmlsec-crypto library is not loaded or the GOST2001 key data klass is not implemented).

### xmlSecKeyDataGostR3410_2012_256GetKlass ()

    xmlSecKeyDataId
    xmlSecKeyDataGostR3410_2012_256GetKlass
                                   (void);

The GOST R 34.10-2012 256 bit key data klass.

#### Returns

GOST R 34.10-2012 256 bit key data klass or NULL if an error occurs (xmlsec-crypto library is not loaded or the GOST R 34.10-2012 key data klass is not implemented).

### xmlSecKeyDataGostR3410_2012_512GetKlass ()

    xmlSecKeyDataId
    xmlSecKeyDataGostR3410_2012_512GetKlass
                                   (void);

The GOST R 34.10-2012 512 bit key data klass.

#### Returns

GOST R 34.10-2012 512 bit key data klass or NULL if an error occurs (xmlsec-crypto library is not loaded or the GOST R 34.10-2012 key data klass is not implemented).

### xmlSecKeyDataHmacGetKlass ()

    xmlSecKeyDataId
    xmlSecKeyDataHmacGetKlass (void);

The HMAC key data klass.

#### Returns

HMAC key data klass or NULL if an error occurs (xmlsec-crypto library is not loaded or the HMAC key data klass is not implemented).

### xmlSecKeyDataHkdfGetKlass ()

    xmlSecKeyDataId
    xmlSecKeyDataHkdfGetKlass (void);

The HKDF key data klass.

#### Returns

HKDF key data klass or NULL if an error occurs (xmlsec-crypto library is not loaded or the HKDF key data klass is not implemented).

### xmlSecKeyDataMLDSAGetKlass ()

    xmlSecKeyDataId
    xmlSecKeyDataMLDSAGetKlass (void);

The ML-DSA key data klass.

#### Returns

ML-DSA key data klass or NULL if an error occurs (xmlsec-crypto library is not loaded or the ML-DSA key data klass is not implemented).

### xmlSecKeyDataPbkdf2GetKlass ()

    xmlSecKeyDataId
    xmlSecKeyDataPbkdf2GetKlass (void);

The PBKDF2 key data klass.

#### Returns

PBKDF2 key data klass or NULL if an error occurs (xmlsec-crypto library is not loaded or the HMAC key data klass is not implemented).

### xmlSecKeyDataRsaGetKlass ()

    xmlSecKeyDataId
    xmlSecKeyDataRsaGetKlass (void);

The RSA key data klass.

#### Returns

RSA key data klass or NULL if an error occurs (xmlsec-crypto library is not loaded or the RSA key data klass is not implemented).

### xmlSecKeyDataSLHDSAGetKlass ()

    xmlSecKeyDataId
    xmlSecKeyDataSLHDSAGetKlass (void);

The SLH-DSA key data klass.

#### Returns

SLH-DSA key data klass or NULL if an error occurs (xmlsec-crypto library is not loaded or the SLH-DSA key data klass is not implemented).

### xmlSecKeyDataEdDSAGetKlass ()

    xmlSecKeyDataId
    xmlSecKeyDataEdDSAGetKlass (void);

The EdDSA key data klass.

#### Returns

EdDSA key data klass or NULL if an error occurs (xmlsec-crypto library is not loaded or the EdDSA key data klass is not implemented).

### xmlSecKeyDataXdhGetKlass ()

    xmlSecKeyDataId
    xmlSecKeyDataXdhGetKlass (void);

The XDH key data klass.

#### Returns

XDH key data klass or NULL if an error occurs (xmlsec-crypto library is not loaded or the XDH key data klass is not implemented).

### xmlSecKeyDataX509GetKlass ()

    xmlSecKeyDataId
    xmlSecKeyDataX509GetKlass (void);

The X509 key data klass.

#### Returns

X509 key data klass or NULL if an error occurs (xmlsec-crypto library is not loaded or the X509 key data klass is not implemented).

### xmlSecKeyDataRawX509CertGetKlass ()

    xmlSecKeyDataId
    xmlSecKeyDataRawX509CertGetKlass (void);

The raw X509 cert key data klass.

#### Returns

raw x509 cert key data klass or NULL if an error occurs (xmlsec-crypto library is not loaded or the raw X509 cert key data klass is not implemented).

### xmlSecKeyDataDEREncodedKeyValueGetKlass ()

    xmlSecKeyDataId
    xmlSecKeyDataDEREncodedKeyValueGetKlass
                                   (void);

The DEREncodedKeyValue key data klass.

#### Returns

X5DEREncodedKeyValue09 key data klass or NULL if an error occurs (xmlsec-crypto library is not loaded or the DEREncodedKeyValue key data klass is not implemented).

### xmlSecX509StoreGetKlass ()

    xmlSecKeyDataStoreId
    xmlSecX509StoreGetKlass (void);

The X509 certificates key data store klass.

#### Returns

pointer to X509 certificates key data store klass or NULL if an error occurs (xmlsec-crypto library is not loaded or the raw X509 cert key data klass is not implemented).

### xmlSecTransformAes128CbcGetKlass ()

    xmlSecTransformId
    xmlSecTransformAes128CbcGetKlass (void);

AES 128 CBC encryption transform klass.

#### Returns

pointer to AES 128 CBC encryption transform or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformAes192CbcGetKlass ()

    xmlSecTransformId
    xmlSecTransformAes192CbcGetKlass (void);

AES 192 CBC encryption transform klass.

#### Returns

pointer to AES 192 CBC encryption transform or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformAes256CbcGetKlass ()

    xmlSecTransformId
    xmlSecTransformAes256CbcGetKlass (void);

AES 256 CBC encryption transform klass.

#### Returns

pointer to AES 256 CBC encryption transform or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformAes128GcmGetKlass ()

    xmlSecTransformId
    xmlSecTransformAes128GcmGetKlass (void);

AES 128 GCM encryption transform klass.

#### Returns

pointer to AES 128 GCM encryption transform or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformAes192GcmGetKlass ()

    xmlSecTransformId
    xmlSecTransformAes192GcmGetKlass (void);

AES 192 GCM encryption transform klass.

#### Returns

pointer to AES 192 GCM encryption transform or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformAes256GcmGetKlass ()

    xmlSecTransformId
    xmlSecTransformAes256GcmGetKlass (void);

AES 256 GCM encryption transform klass.

#### Returns

pointer to AES 256 GCM encryption transform or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformKWAes128GetKlass ()

    xmlSecTransformId
    xmlSecTransformKWAes128GetKlass (void);

The AES-128 kew wrapper transform klass.

#### Returns

AES-128 kew wrapper transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformKWAes192GetKlass ()

    xmlSecTransformId
    xmlSecTransformKWAes192GetKlass (void);

The AES-192 kew wrapper transform klass.

#### Returns

AES-192 kew wrapper transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformKWAes256GetKlass ()

    xmlSecTransformId
    xmlSecTransformKWAes256GetKlass (void);

The AES-256 kew wrapper transform klass.

#### Returns

AES-256 kew wrapper transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformConcatKdfGetKlass ()

    xmlSecTransformId
    xmlSecTransformConcatKdfGetKlass (void);

ConcatKDF key derivaton transform klass.

#### Returns

pointer to ConcatKDF key derivaton transform or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformDes3CbcGetKlass ()

    xmlSecTransformId
    xmlSecTransformDes3CbcGetKlass (void);

Triple DES CBC encryption transform klass.

#### Returns

pointer to Triple DES encryption transform or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformKWDes3GetKlass ()

    xmlSecTransformId
    xmlSecTransformKWDes3GetKlass (void);

The Triple DES key wrapper transform klass.

#### Returns

Triple DES key wrapper transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformDhEsGetKlass ()

    xmlSecTransformId
    xmlSecTransformDhEsGetKlass (void);

DH-ES key agreement transform klass.

#### Returns

pointer to DH-ES key agreement transform or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformHkdfGetKlass ()

    xmlSecTransformId
    xmlSecTransformHkdfGetKlass (void);

HKDF key derivation transform klass.

#### Returns

pointer to HKDF key derivation transform or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformDsaSha1GetKlass ()

    xmlSecTransformId
    xmlSecTransformDsaSha1GetKlass (void);

The DSA-SHA1 signature transform klass.

#### Returns

DSA-SHA1 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformDsaSha256GetKlass ()

    xmlSecTransformId
    xmlSecTransformDsaSha256GetKlass (void);

The DSA-SHA2-256 signature transform klass.

#### Returns

DSA-SHA2-256 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformEcdhGetKlass ()

    xmlSecTransformId
    xmlSecTransformEcdhGetKlass (void);

ECDH key agreement transform klass.

#### Returns

pointer to ECDH key agreement transform or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformX25519GetKlass ()

    xmlSecTransformId
    xmlSecTransformX25519GetKlass (void);

X25519 key agreement transform klass.

#### Returns

pointer to X25519 key agreement transform or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformX448GetKlass ()

    xmlSecTransformId
    xmlSecTransformX448GetKlass (void);

X448 key agreement transform klass.

#### Returns

pointer to X448 key agreement transform or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformEcdsaSha1GetKlass ()

    xmlSecTransformId
    xmlSecTransformEcdsaSha1GetKlass (void);

The ECDSA-SHA1 signature transform klass.

#### Returns

ECDSA-SHA1 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformEcdsaSha224GetKlass ()

    xmlSecTransformId
    xmlSecTransformEcdsaSha224GetKlass (void);

The ECDSA-SHA2-224 signature transform klass.

#### Returns

ECDSA-SHA2-224 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformEcdsaSha256GetKlass ()

    xmlSecTransformId
    xmlSecTransformEcdsaSha256GetKlass (void);

The ECDSA-SHA2-256 signature transform klass.

#### Returns

ECDSA-SHA2-256 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformEcdsaSha384GetKlass ()

    xmlSecTransformId
    xmlSecTransformEcdsaSha384GetKlass (void);

The ECDSA-SHA2-384 signature transform klass.

#### Returns

ECDSA-SHA2-384 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformEcdsaSha512GetKlass ()

    xmlSecTransformId
    xmlSecTransformEcdsaSha512GetKlass (void);

The ECDSA-SHA2-512 signature transform klass.

#### Returns

ECDSA-SHA2-512 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformEcdsaSha3_224GetKlass ()

    xmlSecTransformId
    xmlSecTransformEcdsaSha3_224GetKlass (void);

The ECDSA-SHA3-224 signature transform klass.

#### Returns

ECDSA-SHA3-224 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformEcdsaSha3_256GetKlass ()

    xmlSecTransformId
    xmlSecTransformEcdsaSha3_256GetKlass (void);

The ECDSA-SHA3-256 signature transform klass.

#### Returns

ECDSA-SHA3-256 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformEcdsaSha3_384GetKlass ()

    xmlSecTransformId
    xmlSecTransformEcdsaSha3_384GetKlass (void);

The ECDSA-SHA3-384 signature transform klass.

#### Returns

ECDSA-SHA3-384 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformEcdsaSha3_512GetKlass ()

    xmlSecTransformId
    xmlSecTransformEcdsaSha3_512GetKlass (void);

The ECDSA-SHA3-512 signature transform klass.

#### Returns

ECDSA-SHA3-512 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformEcdsaRipemd160GetKlass ()

    xmlSecTransformId
    xmlSecTransformEcdsaRipemd160GetKlass (void);

The ECDSA-RIPEMD160 signature transform klass.

#### Returns

ECDSA-RIPEMD160 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformGost2001GostR3411_94GetKlass ()

    xmlSecTransformId
    xmlSecTransformGost2001GostR3411_94GetKlass
                                   (void);

The GOST2001-GOSTR3411_94 signature transform klass.

#### Returns

GOST2001-GOSTR3411_94 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformGostR3410_2012GostR3411_2012_256GetKlass ()

    xmlSecTransformId
    xmlSecTransformGostR3410_2012GostR3411_2012_256GetKlass
                                   (void);

The GOST R 34.10-2012 - GOST R 34.11-2012 256 bit signature transform klass.

#### Returns

GOST R 34.10-2012 - GOST R 34.11-2012 256 bit signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformGostR3410_2012GostR3411_2012_512GetKlass ()

    xmlSecTransformId
    xmlSecTransformGostR3410_2012GostR3411_2012_512GetKlass
                                   (void);

The GOST R 34.10-2012 - GOST R 34.11-2012 512 bit signature transform klass.

#### Returns

GOST R 34.10-2012 - GOST R 34.11-2012 512 bit signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformHmacMd5GetKlass ()

    xmlSecTransformId
    xmlSecTransformHmacMd5GetKlass (void);

The HMAC-MD5 transform klass.

#### Returns

the HMAC-MD5 transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformHmacRipemd160GetKlass ()

    xmlSecTransformId
    xmlSecTransformHmacRipemd160GetKlass (void);

The HMAC-RIPEMD160 transform klass.

#### Returns

the HMAC-RIPEMD160 transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformHmacSha1GetKlass ()

    xmlSecTransformId
    xmlSecTransformHmacSha1GetKlass (void);

The HMAC-SHA1 transform klass.

#### Returns

the HMAC-SHA1 transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformHmacSha224GetKlass ()

    xmlSecTransformId
    xmlSecTransformHmacSha224GetKlass (void);

The HMAC-SHA224 transform klass.

#### Returns

the HMAC-SHA224 transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformHmacSha256GetKlass ()

    xmlSecTransformId
    xmlSecTransformHmacSha256GetKlass (void);

The HMAC-SHA256 transform klass.

#### Returns

the HMAC-SHA256 transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformHmacSha384GetKlass ()

    xmlSecTransformId
    xmlSecTransformHmacSha384GetKlass (void);

The HMAC-SHA384 transform klass.

#### Returns

the HMAC-SHA384 transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformHmacSha512GetKlass ()

    xmlSecTransformId
    xmlSecTransformHmacSha512GetKlass (void);

The HMAC-SHA512 transform klass.

#### Returns

the HMAC-SHA512 transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformMd5GetKlass ()

    xmlSecTransformId
    xmlSecTransformMd5GetKlass (void);

MD5 digest transform klass.

#### Returns

pointer to MD5 digest transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformMLDSA44GetKlass ()

    xmlSecTransformId
    xmlSecTransformMLDSA44GetKlass (void);

The ML-DSA-44 signature transform klass.

#### Returns

ML-DSA-44 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformMLDSA65GetKlass ()

    xmlSecTransformId
    xmlSecTransformMLDSA65GetKlass (void);

The ML-DSA-65 signature transform klass.

#### Returns

ML-DSA-65 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformMLDSA87GetKlass ()

    xmlSecTransformId
    xmlSecTransformMLDSA87GetKlass (void);

The ML-DSA-87 signature transform klass.

#### Returns

ML-DSA-87 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformPbkdf2GetKlass ()

    xmlSecTransformId
    xmlSecTransformPbkdf2GetKlass (void);

PBKDF2 key derivaton transform klass.

#### Returns

pointer to PBKDF2 key derivaton transform or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformRipemd160GetKlass ()

    xmlSecTransformId
    xmlSecTransformRipemd160GetKlass (void);

RIPEMD-160 digest transform klass.

#### Returns

pointer to RIPEMD-160 digest transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformRsaMd5GetKlass ()

    xmlSecTransformId
    xmlSecTransformRsaMd5GetKlass (void);

The RSA-MD5 signature transform klass.

#### Returns

RSA-MD5 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformRsaRipemd160GetKlass ()

    xmlSecTransformId
    xmlSecTransformRsaRipemd160GetKlass (void);

The RSA-RIPEMD160 signature transform klass.

#### Returns

RSA-RIPEMD160 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformRsaSha1GetKlass ()

    xmlSecTransformId
    xmlSecTransformRsaSha1GetKlass (void);

The RSA-SHA1 signature transform klass.

#### Returns

RSA-SHA1 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformRsaSha224GetKlass ()

    xmlSecTransformId
    xmlSecTransformRsaSha224GetKlass (void);

The RSA-SHA2-224 signature transform klass.

#### Returns

RSA-SHA2-224 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformRsaSha256GetKlass ()

    xmlSecTransformId
    xmlSecTransformRsaSha256GetKlass (void);

The RSA-SHA2-256 signature transform klass.

#### Returns

RSA-SHA2-256 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformRsaSha384GetKlass ()

    xmlSecTransformId
    xmlSecTransformRsaSha384GetKlass (void);

The RSA-SHA2-384 signature transform klass.

#### Returns

RSA-SHA2-384 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformRsaSha512GetKlass ()

    xmlSecTransformId
    xmlSecTransformRsaSha512GetKlass (void);

The RSA-SHA2-512 signature transform klass.

#### Returns

RSA-SHA2-512 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformRsaPssSha1GetKlass ()

    xmlSecTransformId
    xmlSecTransformRsaPssSha1GetKlass (void);

The RSA-PSS-SHA1 signature transform klass.

#### Returns

RSA-PSS-SHA1 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformRsaPssSha224GetKlass ()

    xmlSecTransformId
    xmlSecTransformRsaPssSha224GetKlass (void);

The RSA-PSS-SHA2-224 signature transform klass.

#### Returns

RSA-PSS-SHA2-224 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformRsaPssSha256GetKlass ()

    xmlSecTransformId
    xmlSecTransformRsaPssSha256GetKlass (void);

The RSA-PSS-SHA2-256 signature transform klass.

#### Returns

RSA-PSS-SHA2-256 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformRsaPssSha384GetKlass ()

    xmlSecTransformId
    xmlSecTransformRsaPssSha384GetKlass (void);

The RSA-PSS-SHA2-384 signature transform klass.

#### Returns

RSA-PSS-SHA2-384 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformRsaPssSha512GetKlass ()

    xmlSecTransformId
    xmlSecTransformRsaPssSha512GetKlass (void);

The RSA-PSS-SHA2-512 signature transform klass.

#### Returns

RSA-PSS-SHA2-512 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformRsaPssSha3_224GetKlass ()

    xmlSecTransformId
    xmlSecTransformRsaPssSha3_224GetKlass (void);

The RSA-PSS-SHA2-224 signature transform klass.

#### Returns

RSA-PSS-SHA2-224 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformRsaPssSha3_256GetKlass ()

    xmlSecTransformId
    xmlSecTransformRsaPssSha3_256GetKlass (void);

The RSA-PSS-SHA2-256 signature transform klass.

#### Returns

RSA-PSS-SHA2-256 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformRsaPssSha3_384GetKlass ()

    xmlSecTransformId
    xmlSecTransformRsaPssSha3_384GetKlass (void);

The RSA-PSS-SHA2-384 signature transform klass.

#### Returns

RSA-PSS-SHA2-384 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformRsaPssSha3_512GetKlass ()

    xmlSecTransformId
    xmlSecTransformRsaPssSha3_512GetKlass (void);

The RSA-PSS-SHA2-512 signature transform klass.

#### Returns

RSA-PSS-SHA2-512 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformRsaPkcs1GetKlass ()

    xmlSecTransformId
    xmlSecTransformRsaPkcs1GetKlass (void);

The RSA-PKCS1 key transport transform klass.

#### Returns

RSA-PKCS1 key transport transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformRsaOaepGetKlass ()

    xmlSecTransformId
    xmlSecTransformRsaOaepGetKlass (void);

The RSA-OAEP key transport transform klass (XMLEnc 1.0).

#### Returns

RSA-OAEP key transport transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformRsaOaepEnc11GetKlass ()

    xmlSecTransformId
    xmlSecTransformRsaOaepEnc11GetKlass (void);

The RSA-OAEP key transport transform klass (XMLEnc 1.1).

#### Returns

RSA-OAEP key transport transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformSLHDSA_SHA2_128fGetKlass ()

    xmlSecTransformId
    xmlSecTransformSLHDSA_SHA2_128fGetKlass
                                   (void);

The SLH-DSA-SHA2-128f signature transform klass.

#### Returns

SLH-DSA-SHA2-128f signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformSLHDSA_SHA2_128sGetKlass ()

    xmlSecTransformId
    xmlSecTransformSLHDSA_SHA2_128sGetKlass
                                   (void);

The SLH-DSA-SHA2-128s signature transform klass.

#### Returns

SLH-DSA-SHA2-128s signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformSLHDSA_SHA2_192fGetKlass ()

    xmlSecTransformId
    xmlSecTransformSLHDSA_SHA2_192fGetKlass
                                   (void);

The SLH-DSA-SHA2-192f signature transform klass.

#### Returns

SLH-DSA-SHA2-192f signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformSLHDSA_SHA2_192sGetKlass ()

    xmlSecTransformId
    xmlSecTransformSLHDSA_SHA2_192sGetKlass
                                   (void);

The SLH-DSA-SHA2-192s signature transform klass.

#### Returns

SLH-DSA-SHA2-192s signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformSLHDSA_SHA2_256fGetKlass ()

    xmlSecTransformId
    xmlSecTransformSLHDSA_SHA2_256fGetKlass
                                   (void);

The SLH-DSA-SHA2-256f signature transform klass.

#### Returns

SLH-DSA-SHA2-256f signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformSLHDSA_SHA2_256sGetKlass ()

    xmlSecTransformId
    xmlSecTransformSLHDSA_SHA2_256sGetKlass
                                   (void);

The SLH-DSA-SHA2-256s signature transform klass.

#### Returns

SLH-DSA-SHA2-256s signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformEdDSAEd25519GetKlass ()

    xmlSecTransformId
    xmlSecTransformEdDSAEd25519GetKlass (void);

The EdDSA-Ed25519 signature transform klass.

#### Returns

EdDSA-Ed25519 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformEdDSAEd25519ctxGetKlass ()

    xmlSecTransformId
    xmlSecTransformEdDSAEd25519ctxGetKlass
                                   (void);

The EdDSA-Ed25519ctx signature transform klass.

#### Returns

EdDSA-Ed25519ctx signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformEdDSAEd25519phGetKlass ()

    xmlSecTransformId
    xmlSecTransformEdDSAEd25519phGetKlass (void);

The EdDSA-Ed25519ph signature transform klass.

#### Returns

EdDSA-Ed25519ph signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformEdDSAEd448GetKlass ()

    xmlSecTransformId
    xmlSecTransformEdDSAEd448GetKlass (void);

The EdDSA-Ed448 signature transform klass.

#### Returns

EdDSA-Ed448 signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformEdDSAEd448phGetKlass ()

    xmlSecTransformId
    xmlSecTransformEdDSAEd448phGetKlass (void);

The EdDSA-Ed448ph signature transform klass.

#### Returns

EdDSA-Ed448ph signature transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformGostR3411_94GetKlass ()

    xmlSecTransformId
    xmlSecTransformGostR3411_94GetKlass (void);

GOSTR3411_94 digest transform klass.

#### Returns

pointer to GOSTR3411_94 digest transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformGostR3411_2012_256GetKlass ()

    xmlSecTransformId
    xmlSecTransformGostR3411_2012_256GetKlass
                                   (void);

GOST R 34.11-2012 256 bit digest transform klass.

#### Returns

pointer to GOST R 34.11-2012 256 bit digest transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformGostR3411_2012_512GetKlass ()

    xmlSecTransformId
    xmlSecTransformGostR3411_2012_512GetKlass
                                   (void);

GOST R 34.11-2012 512 bit digest transform klass.

#### Returns

pointer to GOST R 34.11-2012 512 bit digest transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformSha1GetKlass ()

    xmlSecTransformId
    xmlSecTransformSha1GetKlass (void);

SHA-1 digest transform klass.

#### Returns

pointer to SHA-1 digest transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformSha224GetKlass ()

    xmlSecTransformId
    xmlSecTransformSha224GetKlass (void);

SHA2-224 digest transform klass.

#### Returns

pointer to SHA2-224 digest transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformSha256GetKlass ()

    xmlSecTransformId
    xmlSecTransformSha256GetKlass (void);

SHA2-256 digest transform klass.

#### Returns

pointer to SHA2-256 digest transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformSha384GetKlass ()

    xmlSecTransformId
    xmlSecTransformSha384GetKlass (void);

SHA2-384 digest transform klass.

#### Returns

pointer to SHA2-384 digest transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformSha512GetKlass ()

    xmlSecTransformId
    xmlSecTransformSha512GetKlass (void);

SHA2-512 digest transform klass.

#### Returns

pointer to SHA2-512 digest transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformSha3_224GetKlass ()

    xmlSecTransformId
    xmlSecTransformSha3_224GetKlass (void);

SHA3-224 digest transform klass.

#### Returns

pointer to SHA3-224 digest transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformSha3_256GetKlass ()

    xmlSecTransformId
    xmlSecTransformSha3_256GetKlass (void);

SHA3-256 digest transform klass.

#### Returns

pointer to SHA3-256 digest transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformSha3_384GetKlass ()

    xmlSecTransformId
    xmlSecTransformSha3_384GetKlass (void);

SHA3-384 digest transform klass.

#### Returns

pointer to SHA3-384 digest transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecTransformSha3_512GetKlass ()

    xmlSecTransformId
    xmlSecTransformSha3_512GetKlass (void);

SHA3-512 digest transform klass.

#### Returns

pointer to SHA3-512 digest transform klass or NULL if an error occurs (the xmlsec-crypto library is not loaded or this transform is not implemented).

### xmlSecCryptoAppInit ()

    int
    xmlSecCryptoAppInit (const char *config);

General crypto engine initialization. This function is used by the XMLSec command-line utility and is called before the `xmlSecInit` function.

#### Parameters

config | the path to crypto library configuration. |

#### Returns

0 on success or a negative value otherwise.

### xmlSecCryptoAppShutdown ()

    int
    xmlSecCryptoAppShutdown (void);

General crypto engine shutdown. This function is used by the XMLSec command-line utility and is called after the `xmlSecShutdown` function.

#### Returns

0 on success or a negative value otherwise.

### xmlSecCryptoAppDefaultKeysMngrInit ()

    int
    xmlSecCryptoAppDefaultKeysMngrInit (xmlSecKeysMngrPtr mngr);

Initializes `mngr` with simple keys store xmlSecSimpleKeysStoreId and a default crypto key data stores.

#### Parameters

mngr | the pointer to keys manager. |

#### Returns

0 on success or a negative value otherwise.

### xmlSecCryptoAppDefaultKeysMngrAdoptKey ()

    int
    xmlSecCryptoAppDefaultKeysMngrAdoptKey
                                   (xmlSecKeysMngrPtr mngr,
                                    xmlSecKeyPtr key);

Adds `key` to the keys manager `mngr` created with xmlSecCryptoAppDefaultKeysMngrInit function.

#### Parameters

mngr | the pointer to keys manager. |
key | the pointer to key. |

#### Returns

0 on success or a negative value otherwise.

### xmlSecCryptoAppDefaultKeysMngrVerifyKey ()

    int
    xmlSecCryptoAppDefaultKeysMngrVerifyKey
                                   (xmlSecKeysMngrPtr mngr,
                                    xmlSecKeyPtr key,
                                    xmlSecKeyInfoCtxPtr keyInfoCtx);

Verifies `key` with the keys manager `mngr` created with xmlSecCryptoAppDefaultKeysMngrInit function:

- Checks that key certificate is present

- Checks that key certificate is valid

Adds `key` to the keys manager `mngr` created with xmlSecCryptoAppDefaultKeysMngrInit function.

#### Parameters

mngr | the pointer to keys manager. |
key | the pointer to key. |
keyInfoCtx | the key info context for verification. |

#### Returns

1 if key is verified, 0 otherwise, or a negative value if an error occurs.

### xmlSecCryptoAppDefaultKeysMngrLoad ()

    int
    xmlSecCryptoAppDefaultKeysMngrLoad (xmlSecKeysMngrPtr mngr,
                                        const char *uri);

Loads XML keys file from `uri` to the keys manager `mngr` created with xmlSecCryptoAppDefaultKeysMngrInit function.

#### Parameters

mngr | the pointer to keys manager. |
uri | the uri. |

#### Returns

0 on success or a negative value otherwise.

### xmlSecCryptoAppDefaultKeysMngrSave ()

    int
    xmlSecCryptoAppDefaultKeysMngrSave (xmlSecKeysMngrPtr mngr,
                                        const char *filename,
                                        xmlSecKeyDataType type);

Saves keys from `mngr` to XML keys file.

#### Parameters

mngr | the pointer to keys manager. |
filename | the destination filename. |
type | the type of keys to save (public/private/symmetric). |

#### Returns

0 on success or a negative value otherwise.

### xmlSecCryptoAppKeysMngrCertLoad ()

    int
    xmlSecCryptoAppKeysMngrCertLoad (xmlSecKeysMngrPtr mngr,
                                     const char *filename,
                                     xmlSecKeyDataFormat format,
                                     xmlSecKeyDataType type);

Reads cert from `filename` and adds to the list of trusted or known untrusted certs in `store` .

#### Parameters

mngr | the keys manager. |
filename | the certificate file. |
format | the certificate file format. |
type | the flag that indicates is the certificate in `filename` trusted or not. |

#### Returns

0 on success or a negative value otherwise.

### xmlSecCryptoAppKeysMngrCertLoadMemory ()

    int
    xmlSecCryptoAppKeysMngrCertLoadMemory (xmlSecKeysMngrPtr mngr,
                                           const xmlSecByte *data,
                                           xmlSecSize dataSize,
                                           xmlSecKeyDataFormat format,
                                           xmlSecKeyDataType type);

Reads cert from binary buffer `data` and adds to the list of trusted or known untrusted certs in `store` .

#### Parameters

mngr | the keys manager. |
data | the certificate binary data. |
dataSize | the certificate binary data size. |
format | the certificate data format. |
type | the flag that indicates is the certificate trusted or not. |

#### Returns

0 on success or a negative value otherwise.

### xmlSecCryptoAppKeysMngrCrlLoad ()

    int
    xmlSecCryptoAppKeysMngrCrlLoad (xmlSecKeysMngrPtr mngr,
                                    const char *filename,
                                    xmlSecKeyDataFormat format);

Reads crls from `filename` and adds to the list of crls in `store` .

#### Parameters

mngr | the keys manager. |
filename | the CRL file. |
format | the CRL file format. |

#### Returns

0 on success or a negative value otherwise.

### xmlSecCryptoAppKeysMngrCrlLoadMemory ()

    int
    xmlSecCryptoAppKeysMngrCrlLoadMemory (xmlSecKeysMngrPtr mngr,
                                          const xmlSecByte *data,
                                          xmlSecSize dataSize,
                                          xmlSecKeyDataFormat format);

Reads crl from binary buffer `data` and adds to the list of crls in `store` .

#### Parameters

mngr | the keys manager. |
data | the CRL binary data. |
dataSize | the CRL binary data size. |
format | the CRL data format. |

#### Returns

0 on success or a negative value otherwise.

### xmlSecCryptoAppKeysMngrCrlLoadAndVerify ()

    int
    xmlSecCryptoAppKeysMngrCrlLoadAndVerify
                                   (xmlSecKeysMngrPtr mngr,
                                    const char *filename,
                                    xmlSecKeyDataFormat format,
                                    xmlSecKeyInfoCtxPtr keyInfoCtx);

Reads and verifies the CRL from `filename` . If verification is successful, the CRL is added to the keys manager `store` .

#### Parameters

mngr | the keys manager. |
filename | the CRL file. |
format | the CRL file format. |
keyInfoCtx | the key info context for verification parameters. |

#### Returns

0 on success or a negative value if an error occurs.

### xmlSecCryptoAppKeyLoadEx ()

    xmlSecKeyPtr
    xmlSecCryptoAppKeyLoadEx (const char *filename,
                              xmlSecKeyDataType type,
                              xmlSecKeyDataFormat format,
                              const char *pwd,
                              void *pwdCallback,
                              void *pwdCallbackCtx);

Reads a key from a file.

#### Parameters

filename | the key filename. |
type | the key type (public / private). |
format | the key file format. |
pwd | the key file password. |
pwdCallback | the key password callback. |
pwdCallbackCtx | the user context for password callback. |

#### Returns

pointer to the key or NULL if an error occurs.

### xmlSecCryptoAppKeyLoadMemory ()

    xmlSecKeyPtr
    xmlSecCryptoAppKeyLoadMemory (const xmlSecByte *data,
                                  xmlSecSize dataSize,
                                  xmlSecKeyDataFormat format,
                                  const char *pwd,
                                  void *pwdCallback,
                                  void *pwdCallbackCtx);

Reads a key from the memory buffer.

#### Parameters

data | the binary key data. |
dataSize | the size of binary key. |
format | the key file format. |
pwd | the key file password. |
pwdCallback | the key password callback. |
pwdCallbackCtx | the user context for password callback. |

#### Returns

pointer to the key or NULL if an error occurs.

### xmlSecCryptoAppPkcs12Load ()

    xmlSecKeyPtr
    xmlSecCryptoAppPkcs12Load (const char *filename,
                               const char *pwd,
                               void *pwdCallback,
                               void *pwdCallbackCtx);

Reads a key and all associated certificates from the PKCS12 file. For uniformity, call xmlSecCryptoAppKeyLoadEx instead of this function. Pass in format=xmlSecKeyDataFormatPkcs12.

#### Parameters

filename | the PKCS12 key filename. |
pwd | the PKCS12 file password. |
pwdCallback | the password callback. |
pwdCallbackCtx | the user context for password callback. |

#### Returns

pointer to the key or NULL if an error occurs.

### xmlSecCryptoAppPkcs12LoadMemory ()

    xmlSecKeyPtr
    xmlSecCryptoAppPkcs12LoadMemory (const xmlSecByte *data,
                                     xmlSecSize dataSize,
                                     const char *pwd,
                                     void *pwdCallback,
                                     void *pwdCallbackCtx);

Reads a key and all associated certificates from the PKCS12 data in the memory buffer. For uniformity, call xmlSecCryptoAppKeyLoadMemory instead of this function. Pass in format=xmlSecKeyDataFormatPkcs12.

#### Parameters

data | the PKCS12 binary data. |
dataSize | the PKCS12 binary data size. |
pwd | the PKCS12 file password. |
pwdCallback | the password callback. |
pwdCallbackCtx | the user context for password callback. |

#### Returns

pointer to the key or NULL if an error occurs.

### xmlSecCryptoAppKeyCertLoad ()

    int
    xmlSecCryptoAppKeyCertLoad (xmlSecKeyPtr key,
                                const char *filename,
                                xmlSecKeyDataFormat format);

Reads the certificate from $`filename` and adds it to key.

#### Parameters

key | the pointer to key. |
filename | the certificate filename. |
format | the certificate file format. |

#### Returns

0 on success or a negative value otherwise.

### xmlSecCryptoAppKeyCertLoadMemory ()

    int
    xmlSecCryptoAppKeyCertLoadMemory (xmlSecKeyPtr key,
                                      const xmlSecByte *data,
                                      xmlSecSize dataSize,
                                      xmlSecKeyDataFormat format);

Reads the certificate from memory buffer and adds it to key.

#### Parameters

key | the pointer to key. |
data | the certificate binary data. |
dataSize | the certificate binary data size. |
format | the certificate file format. |

#### Returns

0 on success or a negative value otherwise.

### xmlSecCryptoAppGetDefaultPwdCallback ()

    void *
    xmlSecCryptoAppGetDefaultPwdCallback (void);

Gets default password callback.

#### Returns

default password callback.

## Types and Values

### xmlSecKeyDataAesId

    #define xmlSecKeyDataAesId                      xmlSecKeyDataAesGetKlass()

The AES key klass.

### xmlSecKeyDataConcatKdfId

    #define xmlSecKeyDataConcatKdfId                xmlSecKeyDataConcatKdfGetKlass()

The ConcatKDF key klass.

### xmlSecKeyDataDesId

    #define xmlSecKeyDataDesId                      xmlSecKeyDataDesGetKlass()

The DES key klass.

### xmlSecKeyDataDhId

    #define xmlSecKeyDataDhId                       xmlSecKeyDataDhGetKlass()

The DH key klass.

### xmlSecKeyDataDsaId

    #define xmlSecKeyDataDsaId                      xmlSecKeyDataDsaGetKlass()

The DSA key klass.

### xmlSecKeyDataEcId

    #define xmlSecKeyDataEcId                       xmlSecKeyDataEcGetKlass()

The EC key klass.

### xmlSecKeyDataGost2001Id

    #define xmlSecKeyDataGost2001Id                 xmlSecKeyDataGost2001GetKlass()

The GOST2001 key klass.

### xmlSecKeyDataGostR3410_2012_256Id

    #define xmlSecKeyDataGostR3410_2012_256Id       xmlSecKeyDataGostR3410_2012_256GetKlass()

The GOST R 34.10-2012 256 bit key klass.

### xmlSecKeyDataGostR3410_2012_512Id

    #define xmlSecKeyDataGostR3410_2012_512Id       xmlSecKeyDataGostR3410_2012_512GetKlass()

The GOST R 34.10-2012 512 bit key klass.

### xmlSecKeyDataHmacId

    #define xmlSecKeyDataHmacId                     xmlSecKeyDataHmacGetKlass()

The HMAC key klass.

### xmlSecKeyDataHkdfId

    #define xmlSecKeyDataHkdfId                     xmlSecKeyDataHkdfGetKlass()

The HKDF key klass.

### xmlSecKeyDataMLDSAId

    #define xmlSecKeyDataMLDSAId                    xmlSecKeyDataMLDSAGetKlass()

The ML-DSA key klass.

### xmlSecKeyDataPbkdf2Id

    #define xmlSecKeyDataPbkdf2Id                   xmlSecKeyDataPbkdf2GetKlass()

The PBKDF2 key klass.

### xmlSecKeyDataRsaId

    #define xmlSecKeyDataRsaId                      xmlSecKeyDataRsaGetKlass()

The RSA key klass.

### xmlSecKeyDataSLHDSAId

    #define xmlSecKeyDataSLHDSAId                   xmlSecKeyDataSLHDSAGetKlass()

The SLH-DSA key klass.

### xmlSecKeyDataEdDSAId

    #define xmlSecKeyDataEdDSAId                    xmlSecKeyDataEdDSAGetKlass()

The EdDSA key klass.

### xmlSecKeyDataXdhId

    #define xmlSecKeyDataXdhId                      xmlSecKeyDataXdhGetKlass()

The XDH key klass.

### xmlSecKeyDataX509Id

    #define xmlSecKeyDataX509Id                     xmlSecKeyDataX509GetKlass()

The X509 data klass.

### xmlSecKeyDataRawX509CertId

    #define xmlSecKeyDataRawX509CertId              xmlSecKeyDataRawX509CertGetKlass()

The raw X509 certificate klass.

### xmlSecKeyDataDEREncodedKeyValueId

    #define xmlSecKeyDataDEREncodedKeyValueId       xmlSecKeyDataDEREncodedKeyValueGetKlass()

The DEREncodedKeyValue data klass.

### xmlSecX509StoreId

    #define xmlSecX509StoreId                       xmlSecX509StoreGetKlass()

The X509 store klass.

### xmlSecTransformAes128CbcId

    #define xmlSecTransformAes128CbcId              xmlSecTransformAes128CbcGetKlass()

The AES128 CBC cipher transform klass.

### xmlSecTransformAes192CbcId

    #define xmlSecTransformAes192CbcId              xmlSecTransformAes192CbcGetKlass()

The AES192 CBC cipher transform klass.

### xmlSecTransformAes256CbcId

    #define xmlSecTransformAes256CbcId              xmlSecTransformAes256CbcGetKlass()

The AES256 CBC cipher transform klass.

### xmlSecTransformAes128GcmId

    #define xmlSecTransformAes128GcmId              xmlSecTransformAes128GcmGetKlass()

The AES128 GCM cipher transform klass.

### xmlSecTransformAes192GcmId

    #define xmlSecTransformAes192GcmId              xmlSecTransformAes192GcmGetKlass()

The AES192 GCM cipher transform klass.

### xmlSecTransformAes256GcmId

    #define xmlSecTransformAes256GcmId              xmlSecTransformAes256GcmGetKlass()

The AES256 GCM cipher transform klass.

### xmlSecTransformKWAes128Id

    #define xmlSecTransformKWAes128Id               xmlSecTransformKWAes128GetKlass()

The AES 128 key wrap transform klass.

### xmlSecTransformKWAes192Id

    #define xmlSecTransformKWAes192Id               xmlSecTransformKWAes192GetKlass()

The AES 192 key wrap transform klass.

### xmlSecTransformKWAes256Id

    #define xmlSecTransformKWAes256Id               xmlSecTransformKWAes256GetKlass()

The AES 256 key wrap transform klass.

### xmlSecTransformConcatKdfId

    #define xmlSecTransformConcatKdfId              xmlSecTransformConcatKdfGetKlass()

The ConcatKDF key derivation transform klass.

### xmlSecTransformDes3CbcId

    #define xmlSecTransformDes3CbcId                xmlSecTransformDes3CbcGetKlass()

The Triple DES encryption transform klass.

### xmlSecTransformKWDes3Id

    #define xmlSecTransformKWDes3Id                 xmlSecTransformKWDes3GetKlass()

The DES3 CBC cipher transform klass.

### xmlSecTransformDhEsId

    #define xmlSecTransformDhEsId                   xmlSecTransformDhEsGetKlass()

The DH-ES key agreement transform klass.

### xmlSecTransformHkdfId

    #define xmlSecTransformHkdfId                   xmlSecTransformHkdfGetKlass()

The HKDF key derivation transform klass.

### xmlSecTransformDsaSha1Id

    #define xmlSecTransformDsaSha1Id                xmlSecTransformDsaSha1GetKlass()

The DSA-SHA1 signature transform klass.

### xmlSecTransformDsaSha256Id

    #define xmlSecTransformDsaSha256Id              xmlSecTransformDsaSha256GetKlass()

The DSA-SHA2-256 signature transform klass.

### xmlSecTransformEcdhId

    #define xmlSecTransformEcdhId                   xmlSecTransformEcdhGetKlass()

The ECDH key agreement transform klass.

### xmlSecTransformX25519Id

    #define xmlSecTransformX25519Id                 xmlSecTransformX25519GetKlass()

The X25519 key agreement transform klass.

### xmlSecTransformX448Id

    #define xmlSecTransformX448Id                   xmlSecTransformX448GetKlass()

The X448 key agreement transform klass.

### xmlSecTransformEcdsaSha1Id

    #define xmlSecTransformEcdsaSha1Id              xmlSecTransformEcdsaSha1GetKlass()

The ECDSA-SHA1 signature transform klass.

### xmlSecTransformEcdsaSha224Id

    #define xmlSecTransformEcdsaSha224Id            xmlSecTransformEcdsaSha224GetKlass()

The ECDSA-SHA2-224 signature transform klass.

### xmlSecTransformEcdsaSha256Id

    #define xmlSecTransformEcdsaSha256Id            xmlSecTransformEcdsaSha256GetKlass()

The ECDSA-SHA2-256 signature transform klass.

### xmlSecTransformEcdsaSha384Id

    #define xmlSecTransformEcdsaSha384Id            xmlSecTransformEcdsaSha384GetKlass()

The ECDS-SHA2-384 signature transform klass.

### xmlSecTransformEcdsaSha512Id

    #define xmlSecTransformEcdsaSha512Id            xmlSecTransformEcdsaSha512GetKlass()

The ECDSA-SHA2-512 signature transform klass.

### xmlSecTransformEcdsaSha3_224Id

    #define xmlSecTransformEcdsaSha3_224Id          xmlSecTransformEcdsaSha3_224GetKlass()

The ECDSA-SHA3-224 signature transform klass.

### xmlSecTransformEcdsaSha3_256Id

    #define xmlSecTransformEcdsaSha3_256Id          xmlSecTransformEcdsaSha3_256GetKlass()

The ECDSA-SHA3-256 signature transform klass.

### xmlSecTransformEcdsaSha3_384Id

    #define xmlSecTransformEcdsaSha3_384Id          xmlSecTransformEcdsaSha3_384GetKlass()

The ECDS-SHA3-384 signature transform klass.

### xmlSecTransformEcdsaSha3_512Id

    #define xmlSecTransformEcdsaSha3_512Id          xmlSecTransformEcdsaSha3_512GetKlass()

The ECDSA-SHA3-512 signature transform klass.

### xmlSecTransformEcdsaRipemd160Id

    #define xmlSecTransformEcdsaRipemd160Id         xmlSecTransformEcdsaRipemd160GetKlass()

The ECDSA-RIPEMD160 signature transform klass.

### xmlSecTransformGost2001GostR3411_94Id

    #define xmlSecTransformGost2001GostR3411_94Id           xmlSecTransformGost2001GostR3411_94GetKlass()

The GOST2001-GOSTR3411_94 signature transform klass.

### xmlSecTransformGostR3410_2012GostR3411_2012_256Id

    #define xmlSecTransformGostR3410_2012GostR3411_2012_256Id   xmlSecTransformGostR3410_2012GostR3411_2012_256GetKlass()

The GOST R 34.10-2012 - GOST R 34.11-2012 256 bit signature transform klass.

### xmlSecTransformGostR3410_2012GostR3411_2012_512Id

    #define xmlSecTransformGostR3410_2012GostR3411_2012_512Id   xmlSecTransformGostR3410_2012GostR3411_2012_512GetKlass()

The GOST R 34.10-2012 - GOST R 34.11-2012 512 bit signature transform klass.

### xmlSecTransformHmacMd5Id

    #define xmlSecTransformHmacMd5Id                xmlSecTransformHmacMd5GetKlass()

The HMAC with MD5 signature transform klass.

### xmlSecTransformHmacRipemd160Id

    #define xmlSecTransformHmacRipemd160Id          xmlSecTransformHmacRipemd160GetKlass()

The HMAC with RipeMD160 signature transform klass.

### xmlSecTransformHmacSha1Id

    #define xmlSecTransformHmacSha1Id               xmlSecTransformHmacSha1GetKlass()

The HMAC with SHA1 signature transform klass.

### xmlSecTransformHmacSha224Id

    #define xmlSecTransformHmacSha224Id             xmlSecTransformHmacSha224GetKlass()

The HMAC with SHA2-224 signature transform klass.

### xmlSecTransformHmacSha256Id

    #define xmlSecTransformHmacSha256Id             xmlSecTransformHmacSha256GetKlass()

The HMAC with SHA2-256 signature transform klass.

### xmlSecTransformHmacSha384Id

    #define xmlSecTransformHmacSha384Id             xmlSecTransformHmacSha384GetKlass()

The HMAC with SHA2-384 signature transform klass.

### xmlSecTransformHmacSha512Id

    #define xmlSecTransformHmacSha512Id             xmlSecTransformHmacSha512GetKlass()

The HMAC with SHA2-512 signature transform klass.

### xmlSecTransformMd5Id

    #define xmlSecTransformMd5Id                    xmlSecTransformMd5GetKlass()

The MD5 digest transform klass.

### xmlSecTransformMLDSA44Id

    #define xmlSecTransformMLDSA44Id                xmlSecTransformMLDSA44GetKlass()

The ML-DSA-44 signature transform klass.

### xmlSecTransformMLDSA65Id

    #define xmlSecTransformMLDSA65Id                xmlSecTransformMLDSA65GetKlass()

The ML-DSA-65 signature transform klass.

### xmlSecTransformMLDSA87Id

    #define xmlSecTransformMLDSA87Id                xmlSecTransformMLDSA87GetKlass()

The ML-DSA-87 signature transform klass.

### xmlSecTransformPbkdf2Id

    #define xmlSecTransformPbkdf2Id                 xmlSecTransformPbkdf2GetKlass()

The PBKDF2 key derivation transform klass.

### xmlSecTransformRipemd160Id

    #define xmlSecTransformRipemd160Id              xmlSecTransformRipemd160GetKlass()

The RIPEMD160 digest transform klass.

### xmlSecTransformRsaMd5Id

    #define xmlSecTransformRsaMd5Id                 xmlSecTransformRsaMd5GetKlass()

The RSA-MD5 signature transform klass.

### xmlSecTransformRsaRipemd160Id

    #define xmlSecTransformRsaRipemd160Id           xmlSecTransformRsaRipemd160GetKlass()

The RSA-RIPEMD160 signature transform klass.

### xmlSecTransformRsaSha1Id

    #define xmlSecTransformRsaSha1Id                xmlSecTransformRsaSha1GetKlass()

The RSA-SHA1 signature transform klass.

### xmlSecTransformRsaSha224Id

    #define xmlSecTransformRsaSha224Id              xmlSecTransformRsaSha224GetKlass()

The RSA-SHA2-224 signature transform klass.

### xmlSecTransformRsaSha256Id

    #define xmlSecTransformRsaSha256Id              xmlSecTransformRsaSha256GetKlass()

The RSA-SHA2-256 signature transform klass.

### xmlSecTransformRsaSha384Id

    #define xmlSecTransformRsaSha384Id              xmlSecTransformRsaSha384GetKlass()

The RSA-SHA2-384 signature transform klass.

### xmlSecTransformRsaSha512Id

    #define xmlSecTransformRsaSha512Id              xmlSecTransformRsaSha512GetKlass()

The RSA-SHA2-512 signature transform klass.

### xmlSecTransformRsaPssSha1Id

    #define xmlSecTransformRsaPssSha1Id             xmlSecTransformRsaPssSha1GetKlass()

The RSA-PSS-SHA1 signature transform klass.

### xmlSecTransformRsaPssSha224Id

    #define xmlSecTransformRsaPssSha224Id           xmlSecTransformRsaPssSha224GetKlass()

The RSA-PSS-SHA2-224 signature transform klass.

### xmlSecTransformRsaPssSha256Id

    #define xmlSecTransformRsaPssSha256Id           xmlSecTransformRsaPssSha256GetKlass()

The RSA-PSS-SHA2-256 signature transform klass.

### xmlSecTransformRsaPssSha384Id

    #define xmlSecTransformRsaPssSha384Id           xmlSecTransformRsaPssSha384GetKlass()

The RSA-PSS-SHA2-384 signature transform klass.

### xmlSecTransformRsaPssSha512Id

    #define xmlSecTransformRsaPssSha512Id           xmlSecTransformRsaPssSha512GetKlass()

The RSA-PSS-SHA2-512 signature transform klass.

### xmlSecTransformRsaPssSha3_224Id

    #define xmlSecTransformRsaPssSha3_224Id         xmlSecTransformRsaPssSha3_224GetKlass()

The RSA-PSS-SHA3-224 signature transform klass.

### xmlSecTransformRsaPssSha3_256Id

    #define xmlSecTransformRsaPssSha3_256Id         xmlSecTransformRsaPssSha3_256GetKlass()

The RSA-PSS-SHA3-256 signature transform klass.

### xmlSecTransformRsaPssSha3_384Id

    #define xmlSecTransformRsaPssSha3_384Id         xmlSecTransformRsaPssSha3_384GetKlass()

The RSA-PSS-SHA3-384 signature transform klass.

### xmlSecTransformRsaPssSha3_512Id

    #define xmlSecTransformRsaPssSha3_512Id         xmlSecTransformRsaPssSha3_512GetKlass()

The RSA-PSS-SHA3-512 signature transform klass.

### xmlSecTransformRsaPkcs1Id

    #define xmlSecTransformRsaPkcs1Id               xmlSecTransformRsaPkcs1GetKlass()

The RSA PKCS1 key transport transform klass.

### xmlSecTransformRsaOaepId

    #define xmlSecTransformRsaOaepId                xmlSecTransformRsaOaepGetKlass()

The RSA PKCS1 key transport transform klass (XMLEnc 1.0).

### xmlSecTransformRsaOaepEnc11Id

    #define xmlSecTransformRsaOaepEnc11Id           xmlSecTransformRsaOaepEnc11GetKlass()

The RSA PKCS1 key transport transform klass (XMLEnc 1.1).

### xmlSecTransformSLHDSA_SHA2_128f_Id

    #define xmlSecTransformSLHDSA_SHA2_128f_Id      xmlSecTransformSLHDSA_SHA2_128fGetKlass()

The SLH-DSA-SHA2-128f signature transform klass.

### xmlSecTransformSLHDSA_SHA2_128s_Id

    #define xmlSecTransformSLHDSA_SHA2_128s_Id      xmlSecTransformSLHDSA_SHA2_128sGetKlass()

The SLH-DSA-SHA2-128s signature transform klass.

### xmlSecTransformSLHDSA_SHA2_192f_Id

    #define xmlSecTransformSLHDSA_SHA2_192f_Id      xmlSecTransformSLHDSA_SHA2_192fGetKlass()

The SLH-DSA-SHA2-192f signature transform klass.

### xmlSecTransformSLHDSA_SHA2_192s_Id

    #define xmlSecTransformSLHDSA_SHA2_192s_Id      xmlSecTransformSLHDSA_SHA2_192sGetKlass()

The SLH-DSA-SHA2-192s signature transform klass.

### xmlSecTransformSLHDSA_SHA2_256f_Id

    #define xmlSecTransformSLHDSA_SHA2_256f_Id      xmlSecTransformSLHDSA_SHA2_256fGetKlass()

The SLH-DSA-SHA2-256f signature transform klass.

### xmlSecTransformSLHDSA_SHA2_256s_Id

    #define xmlSecTransformSLHDSA_SHA2_256s_Id      xmlSecTransformSLHDSA_SHA2_256sGetKlass()

The SLH-DSA-SHA2-256s signature transform klass.

### xmlSecTransformEdDSAEd25519Id

    #define xmlSecTransformEdDSAEd25519Id           xmlSecTransformEdDSAEd25519GetKlass()

The EdDSA-Ed25519 signature transform klass.

### xmlSecTransformEdDSAEd25519ctxId

    #define xmlSecTransformEdDSAEd25519ctxId        xmlSecTransformEdDSAEd25519ctxGetKlass()

The EdDSA-Ed25519ctx signature transform klass.

### xmlSecTransformEdDSAEd25519phId

    #define xmlSecTransformEdDSAEd25519phId         xmlSecTransformEdDSAEd25519phGetKlass()

The EdDSA-Ed25519ph signature transform klass.

### xmlSecTransformEdDSAEd448Id

    #define xmlSecTransformEdDSAEd448Id             xmlSecTransformEdDSAEd448GetKlass()

The EdDSA-Ed448 signature transform klass.

### xmlSecTransformEdDSAEd448phId

    #define xmlSecTransformEdDSAEd448phId           xmlSecTransformEdDSAEd448phGetKlass()

The EdDSA-Ed448ph signature transform klass.

### xmlSecTransformGostR3411_94Id

    #define xmlSecTransformGostR3411_94Id           xmlSecTransformGostR3411_94GetKlass()

The GOSTR3411_94 digest transform klass.

### xmlSecTransformGostR3411_2012_256Id

    #define xmlSecTransformGostR3411_2012_256Id     xmlSecTransformGostR3411_2012_256GetKlass()

The GOST R 34.11-2012 256 bit digest transform klass.

### xmlSecTransformGostR3411_2012_512Id

    #define xmlSecTransformGostR3411_2012_512Id     xmlSecTransformGostR3411_2012_512GetKlass()

The GOST R 34.11-2012 512 bit digest transform klass.

### xmlSecTransformSha1Id

    #define xmlSecTransformSha1Id                   xmlSecTransformSha1GetKlass()

The SHA1 digest transform klass.

### xmlSecTransformSha224Id

    #define xmlSecTransformSha224Id                 xmlSecTransformSha224GetKlass()

The SHA2-224 digest transform klass.

### xmlSecTransformSha256Id

    #define xmlSecTransformSha256Id                 xmlSecTransformSha256GetKlass()

The SHA2-256 digest transform klass.

### xmlSecTransformSha384Id

    #define xmlSecTransformSha384Id                 xmlSecTransformSha384GetKlass()

The SHA2-384 digest transform klass.

### xmlSecTransformSha512Id

    #define xmlSecTransformSha512Id                 xmlSecTransformSha512GetKlass()

The SHA2-512 digest transform klass.

### xmlSecTransformSha3_224Id

    #define xmlSecTransformSha3_224Id               xmlSecTransformSha3_224GetKlass()

The SHA3-224 digest transform klass.

### xmlSecTransformSha3_256Id

    #define xmlSecTransformSha3_256Id               xmlSecTransformSha3_256GetKlass()

The SHA3-256 digest transform klass.

### xmlSecTransformSha3_384Id

    #define xmlSecTransformSha3_384Id               xmlSecTransformSha3_384GetKlass()

The SHA3-384 digest transform klass.

### xmlSecTransformSha3_512Id

    #define xmlSecTransformSha3_512Id               xmlSecTransformSha3_512GetKlass()

The SHA3-512 digest transform klass.